## org.eclipse.emf.compare.util
Class ModelIdentifier

    java.lang.Object
      org.eclipse.emf.compare.util.ModelIdentifier

    public class ModelIdentifier

extends java.lang.Object

Store the models' common identification elements used to retrieve the comparison engines.

Since:
  1.1

Constructor Summary
`ModelIdentifier(org.eclipse.emf.ecore.resource.Resource... resources)` Default constructor.

Method Summary
`java.lang.String` `getContentType()` Returns the common content-type found for the models considered by this instance.
`java.lang.String` `getExtension()` Returns the common extension found for the models considered by this instance.
`java.lang.String` `getNamespace()` Returns the common namespace found for the models considered by this instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelIdentifier

    public ModelIdentifier(org.eclipse.emf.ecore.resource.Resource... resources)

  Default constructor.

  Parameters:
    `resources` - Resources for which we need to identify an engine.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Returns the common namespace found for the models considered by this instance.

  Returns:
    The common namespace found for the models considered by this instance.

### getContentType

    public java.lang.String getContentType()

  Returns the common content-type found for the models considered by this instance.

  Returns:
    The common content-type found for the models considered by this instance.

### getExtension

    public java.lang.String getExtension()

  Returns the common extension found for the models considered by this instance.

  Returns:
    The common extension found for the models considered by this instance.

Copyright 2006 IBM Corporation and others. All Rights Reserved.